Bug 92358 - [BSW SKL] Regression deqp-gles3 / functional / texture / specification / teximage2d_pbo 9 subcases fails
Summary: [BSW SKL] Regression deqp-gles3 / functional / texture / specification / texi...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: i965-deqp
  Show dependency treegraph
 
Reported: 2015-10-09 15:50 UTC by cprigent
Modified: 2019-03-14 08:40 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cprigent 2015-10-09 15:50:52 UTC
Platform: Braswell M 
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All 
Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03
Software 
Linux distribution: Ubuntu 14.04 LTS 64 bits 
BIOS : BRAS.X64.B084.R00.1508310642
TXE FW : 2.0.0.2073
Ksc : 1.08

kernel drm-intel-nightly 4.3.0-rc3 eb69e51 from anongit.freedesktop.org/drm-intel

mesa: (HEAD, tag: mesa-11.0.2) 51e0b06d9916e126060c0d218de1aaa4e5a4ce26 from
git://git.freedesktop.org/git/mesa/mesa

cairo: (HEAD, tag: 1.14.2) 93422b3cb5e0ef8104b8194c8873124ce2f5ea2d from
git://git.freedesktop.org/git/cairo
drm: (HEAD, tag: libdrm-2.4.64, tag: 2.4.64)
ab2fadabde3829b1ec56bd4756165dd9bd281488 from
git://git.freedesktop.org/git/mesa/drm
intel-driver: (HEAD, origin/master, origin/HEAD, master)
2a72f99d24714f2a58f400ef63b913d4cf9080b3 from
git://git.freedesktop.org/git/vaapi/intel-driver
libva: (HEAD, tag: libva-1.6.1, origin/v1.6-branch)
613eb962b45fbbd1526d751e88e0d8897af6c0e0 from
git://git.freedesktop.org/git/vaapi/libva
xf86-video-intel: (HEAD, origin/master, origin/HEAD, master)
f0fd4d500de03c30c7ce19915f85acadd1ca4e5d from
git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
xserver: (HEAD, tag: xorg-server-1.17.2)
2123f7682d522619f101b05fb75efa75dabbe371 from
git://git.freedesktop.org/git/xorg/xserver
intel-gpu-tools: (HEAD, origin/master, origin/HEAD, master)
1b492e311ce13fe4bc42f1edd5479441662d4855 from
git://git.freedesktop.org/git/xorg/app/intel-gpu-tools

Deqp head from https://android.googlesource.com/platform/external/deqp
CMakeLists.txt.patch and EGL-null-platform.patch applied

Steps:
------
Execute command:
./piglit -s -c run deqp_gles3 results/deqp_gles3

Actual result:
---------------
deqp-gles3@functional@texture@specification@teximage2d_pbo@rg32f_2d is fail

Expected result:
-----------------
Test is Pass

Regression, Yes:
-----------------
Test was Pass last week with:

Platform: Braswell M
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All 
Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03
Software:
BIOS : BRAS.X64.B084.R00.1508310642
TXE FW : 2.0.0.2073
Ksc : 1.08
Linux distribution: Ubuntu 14.04 LTS 64 bits
Kernel: drm-intel-nightly bf2dbbc 4.3.0-rc2 from git://anongit.freedesktop.org/drm-intel
Mesa: mesa-10.6.7 from http://cgit.freedesktop.org/mesa/mesa/
Xf86_video_intel: 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm: 2.4.64 from http://cgit.freedesktop.org/mesa/drm/
Cairo: 1.14.2 from http://cgit.freedesktop.org/cairo
libva: 1.6.1 from http://cgit.freedesktop.org/libva/
Xserver: xorg-server-1.17.2 from http://cgit.freedesktop.org/xorg/xserver
vaapi intel-driver: 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Comment 1 cprigent 2015-10-09 15:54:14 UTC
Regression for following subcases:
deqp-gles3@functional@texture@specification@teximage2d_pbo@rg32f_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rg32i_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rg32ui_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rgba16f_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rgba16i_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rgba16ui_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rgba32f_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rgba32i_2d
deqp-gles3@functional@texture@specification@teximage2d_pbo@rgba32ui_2d
Comment 2 cprigent 2015-10-10 16:56:42 UTC
Same regression on SKL:

Hardware:
Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
Software
Linux : Ubuntu 14.04 LTS 64 bits
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19

kernel 4.3.0-rc3-drm-intel-nightly+ (eb69e51) from git://anongit.freedesktop.org/drm-intel
Mesa - 11.0.2 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Comment 3 Neil Roberts 2015-12-08 18:41:51 UTC
Is the fail a segmentation fault? If so I think it may be the same problem as bug 93257. If I run the tests without the patch from that bug then it segfaults, otherwise they all pass. On the other hand I can't replicate the pass with version 10.6.7 so it may be a separate issue.

It would be great if you could retest with the patch from that bug:

http://patchwork.freedesktop.org/patch/67357/
Comment 4 Neil Roberts 2015-12-16 16:45:13 UTC
I've pushed the patch to master so it would be great if you could retest with it.

http://cgit.freedesktop.org/mesa/mesa/commit/?id=8c5310da9d1cbf2272f72d3ed42

Otherwise it would be really helpful if you could bisect the problem so we know which commit is likely to have caused the regression. If you would like some advice on how to do this please feel free to ask.
Comment 5 Kenneth Graunke 2016-03-26 09:51:00 UTC
Patch on mesa-dev:
https://lists.freedesktop.org/archives/mesa-dev/2016-March/110901.html
Comment 6 Kenneth Graunke 2016-03-29 00:36:19 UTC
Pushed:

commit 72473658c51d5e074ce219c1e6385a4cce29f467
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Fri Mar 25 15:33:35 2016 -0700

    i965: Fix brw_render_cache_set_check_flush's PIPE_CONTROLs.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.